Add support for zip files

Bug #1577062 reported by Thomi Richards on 2016-04-30
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Snapcraft
Wishlist
Sergio Schvezov
snapcraft (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned

Bug Description

[Impact]

 * Snapcraft does not work with sources of type zip. This adds support for setting a zip file as a source and allowing to force file handler to be zip (through source-type).

[Test Case]

 1. Create a snapcraft project with a zip source.
 2. Run `snapcraft pull`.
 3. zip files should have been extracted in `parts/<part-name>/src`

[Regression Potential]

 * Very low. This is a new feature orthogonal feature. Minimal risk of breaking uri detection for sources (tests should already cover this).

El 30/04/16 a las 18:45, Thomi Richards escribió:
> Public bug reported:
>
> Several software vendors release their product as .zip files. To date I
> can't find any support for downloading and extracting zips (the tar
> plugin seems tar-specific).
>
> Am I missing something?

Yes, support :-)

This seems something that can happen sooner than later. Will triage with
the team during the week.

Thomi Richards (thomir) wrote :

On Sun, May 1, 2016 at 9:57 AM, Sergio Schvezov <email address hidden>
wrote:

> Yes, support :-)
>
> This seems something that can happen sooner than later. Will triage with
> the team during the week.
>

Thanks Sergio - I owe you one.

--
Thomi Richards
<email address hidden>

Changed in snapcraft:
milestone: none → 2.9
Kyle Fazzari (kyrofa) on 2016-05-11
summary: - add support for zip files
+ Add support for zip files
Ted Gould (ted) wrote :

I made a quick hacked local plugin for this. Might be useful. It worked for that usecase (though I couldn't get the snap to work overall :-(

Kyle Fazzari (kyrofa) on 2016-05-23
Changed in snapcraft:
milestone: 2.9 → 2.10
Sergio Schvezov (sergiusens) wrote :
Changed in snapcraft:
status: New → In Progress
importance: Undecided → Wishlist
assignee: nobody → Sergio Schvezov (sergiusens)
description: updated
Changed in snapcraft:
status: In Progress → Fix Committed
Changed in snapcraft (Ubuntu Xenial):
milestone: none → xenial-updates
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapcraft - 2.10+16.10

---------------
snapcraft (2.10+16.10) yakkety; urgency=medium

  [ Martin Wimpress ]
  * Correct autotools tests to use configflags (#521)

  [ Leo Arias ]
  * Run the integration tests against a local fake server when the user
    password is not in the environment. (#511) (LP: #1585023)
  * Move the login and logout methods to a client. (#518) (LP: #1586504)
  * Improve the config handling. (#519) (LP: #1586511)
  * Fix the one-time password login. (#529) (LP: #1586832)
  * Moved the download to the store client. (#530) (LP: #1586836)
  * Moved the upload to the store client. (#531) (LP: #1586836)
  * Updated the documentation about the icon. (#542) (LP: #1578231)
  * Improve the error message when a part binary is not found. (#541)
    (LP: #1582367)
  * Reenable the ROS demo for autopackage testing. (#520) (LP: #1588098)
  * Add macaroon support to login, upload and download. (#532) (LP: #1586910)
  * Set the no_proxy environment variable to access the local fake servers.
    (#546) (LP: #1588631)

  [ Stephen Stewart ]
  * nodejs plugin: Support configurable node version (#509) (LP: #1586104)

  [ Kyle Fazzari ]
  * Use correct cross-build packages for ppc64le. (#539) (LP: #1570944)

  [ Sergio Schvezov ]
  * Support zip files as source (#523) (LP: #1577062)
  * A nicer error message for incorrect stage-packages (#524) (LP: #1568131)
  * Support the assumes keyword (#525) (LP: #1586429)
  * Improve the template for snapcraft init (#528) (LP: #1575581)
  * Filter out *.snap from sourcedir (#535) (LP: #1575628)
  * Support setting a gopath for a go project from vcs (#538) (LP: #1583426)
  * Add a ticker for snapping (#540) (LP: #1582955)
  * Rename strip to prime (#543) (LP: #1582515)

  [ Didier Roche ]
  * Wrap plugin list output content (#534) (LP: #1587057)
  * Add snapcraft examples to scaffold getting started tour (#513)
    (LP: #1586137)

  [ Joe Talbott ]
  * Add support for parsing the parts wiki (#545) (LP: #1587583)

 -- Sergio Schvezov <email address hidden> Fri, 03 Jun 2016 13:37:58 -0300

Changed in snapcraft (Ubuntu Yakkety):
status: New → Fix Released

Hello Thomi, or anyone else affected,

Accepted snapcraft into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapcraft/2.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in snapcraft (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed
Changed in snapcraft:
status: Fix Committed → Fix Released
Leo Arias (elopio) wrote :

Tested in an up-to-date xenial system:
- Enabled the proposed archive
- Updated snapcraft to 2.10
- Made a snap with a zip source.
- snapcraft
- The zip was extracted and the contents ended in the part.

I'm marking the verification as done.

Thanks Chris!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapcraft - 2.10.1

---------------
snapcraft (2.10.1) xenial; urgency=medium

  * Backwards compatible clean with strip (#556) (LP: #1590256)

 -- Sergio Schvezov <email address hidden> Wed, 08 Jun 2016 16:32:27 -0300

Changed in snapcraft (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments